Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create customer partner residual

POST/workspaces/{organizationId}/customers/partner-residuals
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
merchantsobject[]required
Show properties
Array of object
customerIdstringrequired
merchantNamestringrequired
partnerIdstringrequired
partnerNamestringrequired
monthlyCardVolumeCentsintegerrequired
min 0
monthlyAchCountintegerrequired
min 0
netCardMarginBpsnumber
netAchMarginCentsPerTxnumber
partnerRevSharePctnumber
min 0 · max 80
Responses
200

Computed monthly partner residual revenue-share payouts across referred merchants using Effect

totalMerchantsnumberrequired
totalVortexNetProfitCentsnumberrequired
totalPartnerResidualPayoutCentsnumberrequired
rowsobject[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/customers/partner-residuals' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "merchants": [
    {
      "customerId": "string",
      "merchantName": "string",
      "partnerId": "string",
      "partnerName": "string",
      "monthlyCardVolumeCents": 0,
      "monthlyAchCount": 0,
      "netCardMarginBps": 0,
      "netAchMarginCentsPerTx": 0,
      "partnerRevSharePct": 0
    }
  ]
}'
Response
{
  "totalMerchants": 0,
  "totalVortexNetProfitCents": 0,
  "totalPartnerResidualPayoutCents": 0,
  "rows": [
    {
      "property1": null,
      "property2": null
    }
  ]
}

Was this page helpful?